<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_EditUserGroups.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_EditUserGroups.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Edit group membership of a user</p>
<p>    
    <p>
	This panel allows to define the groups to which a user belongs. The panel is presented in Figure 1.    
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_EditUserGroups.png"></td></tr>
<tr><td><span class="caption">Figure 1: Edit user's group membership panel</span></td></tr>
</table></div>

    The central part of the panel contains two lists: the list of all groups on the left, and the list
    of the groups to which the user is going to belong, on the right. <br>
    Note that the groups, which are already in the <em>Member of</em> list are "greyed out"
    in the <em>All Groups</em> list, and cannot be selected.
    
    </p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To add group(s) to the 'Member of' list:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Select the group(s) (multiple selection is possible by clicking while holding the CTRL key) in the left list,
	then press the <span class="button">&gt;</span>. All groups may be added by clicking on the <span class="button">&gt;&gt;</span> button.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To remove group(s) from the 'Member of' list:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Select the group(s) (multiple selection is possible by clicking while holding the CTRL key) in the right list,
	then press the <span class="button">&lt;</span>. All groups may be removed by clicking on the <span class="button">&lt;&lt;</span> button.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To bring the lists to the initial state (reset the changes):</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Press the <span class="button">Reset</span> button
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To confirm the changes:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	press the <span class="button">OK</span> button. This panel will be closed and the control will return to the
        parent panel (<a href="fwAccessControl_EditUser.htm">Edit User</a>  panel). No changes
        will be applied to the group until you apply them in this parent panel!
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To cancel the changes:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	press the <span class="button">Cancel</span> button.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul>
<li xmlns:html="http://www.w3.org/1999/xhtml"> The panel does not auto-update its contents when user or groups are changed
    (e.g. in another UI or by AC Server).
    </li>
<li xmlns:html="http://www.w3.org/1999/xhtml"> This panel should only be opened as a child panel of the
            <a href="fwAccessControl_EditUser.htm">Edit User</a>  panel
    </li>
</ul></td>
</tr>
</tbody></table>
<br><table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Dollar Parameters</strong></td></tr>
<tr bgColor="#00cc00">
<td width="23%"><strong>Name</strong></td>
<td width="62%"><strong>Description</strong></td>
<td width="15%">&nbsp;</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$userName</td>
<td> The name of the user whose group membership is edited;
	or empty string ("") in the <em>create</em> mode  </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$groups</td>
<td> The initial list of the groups displayed in the <em>Member of:</em> list
	(e.g. the "current" group membership).
	 The <code>dyn_string</code> list should be casted to <code>string</code> variable - the
	panel will decode it.
     </td>
<td>required</td>
</tr>
</tbody></table>
<br>
<table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Return Values from panel</strong></td></tr>
<tr><td colspan="3"> The panel should be opened using functions from the
        <code>ChildPanel...Returns(... , df,ds)</code> family. <br>
               When the panel is closed the following
              values may be returned in the <code>df</code> and <code>ds</code> parameters:
     </td></tr>
<tr bgColor="#00cc00">
<td width="60"><strong>Variable</strong></td>
<td width="10%"><strong>Value(s)</strong></td>
<td><strong>Description</strong></td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_float</code>  parameter (<code>df[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>1</code></td>
<td> Edit action terminated succesfully, <span class="button">OK</span> button pressed</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>0</code></td>
<td> Edit action cancelled, <span class="button">Cancel</span> button pressed</td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_string</code> parameter (<code>ds[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>ds[]</code></td>
<td><code></code></td>
<td> if the dialog was not cancelled, will contain the modified list on the groups</td>
</tr>
</tbody></table>
<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
